コンテンツにスキップ
ShopentlyLearn

ファイルの対象者を取得

アクセス規則と商品バージョンを取得します。初回公開日時は変更されません。

GET/api/v1/products/{product_id}/files/{file_id}/audience

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/products/example/files/00000000-0000-4000-8000-000000000007/audience \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": {
    "anchor_at": "2026-11-03T12:00:00Z",
    "effective_at": "2026-11-03T12:00:00Z",
    "file_id": "00000000-0000-4000-8000-000000000007",
    "file_version_id": "00000000-0000-4000-8000-000000000010",
    "historical_access_preserved": true,
    "id": "00000000-0000-4000-8000-000000000009",
    "lookback_days": null,
    "mode": "all_purchasers",
    "next_cursor": null,
    "order_ids": [],
    "product_version": 3,
    "revision": 1
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
商品ファイルの閲覧 · デジタル商品catalog.product_file:read_digital